Subject: ftpd.c reply() and lreply() bogusness

From: Kev <[email-masked]>
Date: Tue, 07 Oct 1997 12:41:02 EDT

If HAVE_VPRINTF is not defined, the versions of reply() and lreply()
declaredto handle that case, besides being almost exactly the same
code as the HAVE_VPRINTF case (*mumble* redundancy *mumble*
redundancy *mumble* redundancy ...), are declared as "void void
reply()" and "void void lreply()".  For reply(), the first "void"
declaration is just before the #if defined (HAVE_VPRINTF)
(specifically, it appears on line 2688 of ftpd.c); for lreply(), the
redundant declaration is just before the VARARGS2 comment
(specifically, line 2810).
-- 
Kevin L. Mitchell                                             [email-masked]
-----------------------------------------------------------------------------
MIT Kerberos Development Team                            Work: (617) 253-9483
http://web.mit.edu/klmitch/www/               PGP keys available upon request